declare type IsString<T> = T extends typeof String ? true : T extends string ? true : false;
declare type IsBoolean<T> = T extends typeof Boolean ? true : false;
declare type IsNumber<T> = T extends typeof Number ? true : false;
declare type ParseType<T> = IsString<T> extends true ? string : IsBoolean<T> extends true ? boolean : IsNumber<T> extends true ? number : (string | string[]);
declare type Query<T> = {
    [K in keyof T]: ParseType<T[K]>;
};
declare function useQuery<T extends Record<string, any>>(types?: T): Query<T>;
export default useQuery;
